#include "think.h"
#include "think.h"
#include "globals.h"

int Think()
{
  int n;

  map->Think();
  for (n=0;n<((training|clockmode)?1:nships);n++)
   if (ships[n]->Think(n>=nplayers)) return n+1;
  return 0;
}


